javax.media.j3d

## Class WakeupOr

- java.lang.Object
- - javax.media.j3d.WakeupCondition
  - - javax.media.j3d.WakeupOr

    public final class WakeupOr
    extends WakeupCondition

Class specifying any number of wakeup conditions ORed together. This WakeupCondition object specifies that Java 3D should awaken this Behavior when any of the WakeupCondition's constituent wakeup criteria becomes valid.

Note that a unique WakeupCriterion object must be used for each individual element in the array of wakeup criteria.

### Constructor Summary

Constructors
Constructor and Description
`WakeupOr(WakeupCriterion[] conditions)` Constructs a new WakeupOr criterion.

### Method Summary

### Methods inherited from class javax.media.j3d.WakeupCondition

`allElements, triggeredElements`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WakeupOr

    public WakeupOr(WakeupCriterion[] conditions)

Constructs a new WakeupOr criterion.

Parameters:
  `conditions` - a vector of individual Wakeup conditions